
Redmine - Defect #11665

New document category is not saved properly 

2012-08-21 02:06 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 1.4.5   

Resolution: Fixed Affected version: 1.4.4

Description

https://www.chiliproject.org/issues/1087

I confirmed this bug on 1.4-stable.

Related issues:

Related to Redmine - Defect #2328: Document categories don't use the default ... Closed 2008-12-12

Has duplicate Redmine - Defect #11732: New document does not save category co... Closed

Associated revisions

Revision 10219 - 2012-08-21 08:15 - Toshi MARUYAMA

add functional test to create non default document category (#11665)

Revision 10220 - 2012-08-21 15:45 - Toshi MARUYAMA

add unit test to get default document category defined on database (#11665)

Revision 10221 - 2012-08-21 15:45 - Toshi MARUYAMA

force set default document category if it is not set on database (#11665)

Revision 10222 - 2012-08-21 18:14 - Toshi MARUYAMA

add position to DocumentCategory in enumerations fixture (#11665)

Revision 10223 - 2012-08-21 19:14 - Toshi MARUYAMA

Merged r10222 from trunk to 1.4-stable (#11665)

add position to DocumentCategory in enumerations fixture.

Revision 10224 - 2012-08-21 19:15 - Toshi MARUYAMA

Merged r10220 from trunk to 1.4-stable (#11665)

add unit test to get default document category defined on database.

Revision 10225 - 2012-08-21 19:15 - Toshi MARUYAMA

Merged r10221 from trunk to 1.4-stable (#11665)

force set default document category if it is not set on database.

Revision 10226 - 2012-08-21 19:15 - Toshi MARUYAMA

set default category_id instead of the object (#11665)

Rails 2.3 still has issues with synchronizing the association_id

and association attributes of an object. That means, if you set the

association with an object first and then just set the id afterwards,

the object wins and the setting of the id gets lost.

This is not an issue in Rails >= 3.1 anymore.

Contributed by Holger Just.
Revision 10227 - 2012-08-21 19:16 - Toshi MARUYAMA

Merged r10219 from trunk to 1.4-stable (#11665)

add functional test to create non default document category.

Revision 10229 - 2012-08-22 10:56 - Toshi MARUYAMA

Merged r10219 from trunk to 2.0-stable (#11665)

add functional test to create non default document category.

Revision 10230 - 2012-08-22 18:18 - Toshi MARUYAMA

add check default document category is not defined on database in tests (#11665)

Revision 10233 - 2012-08-23 00:44 - Toshi MARUYAMA

Merged r10230 from trunk (#11665)

add check default document category is not defined on database in tests.

History

#1 - 2012-08-29 13:36 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed in 1.4-stable(Rails2) r10233.

2.0-stable(Rails3) has no defect.

#2 - 2012-08-29 13:38 - Toshi MARUYAMA

- Subject changed from Document category is not saved properly  to New document category is not saved properly 
